/*
nsPerseusObserver implmente des observateurs qui permettent
de surveiller l'envoi de requtes et de lancer ou non le codage des trames
*/

#ifndef _nsPerseusObserver_H_
#define _nsPerseusObserver_H_

#include "nsPerseusUtil.h"
#include "nsIPerseus.h"
#include "nsPerseusCode.h"
#include "nsIObserver.h"


/*6f9a3860-150a-42a9-be25-09abb285a549*/
#define NS_PERSEUSOBSERVER_CID { \
    0x6f9a3860, \
    0x150a, \
    0x42a9, \
      {0xbe, 0x25, 0x09, 0xab, 0xb2, 0x85, 0xa5, 0x49} \
}

#define NS_PERSEUSOBSERVER_CONTRACTID "@mozilla.org/security/perseusobserver;1"
 

class nsPerseusObserver : public nsIPerseus,
                          public nsIObserver
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_NSIPERSEUS
  NS_DECL_NSIOBSERVER
  
  nsPerseusObserver();

private:
    
  ~nsPerseusObserver();
  nsPerseusCode *mCode;
  PRBool mRun;
protected:

};


#endif //_PerseusObserver_H
