/************************************************************/
/*															*/
/* PerseusDownloadData										*/
/*            Permet de tlcharger les donnes				*/
/*                 envoyer par le serveur, puis d'appeller	*/
/*							la fonction de dcodage			*/
/************************************************************/
#ifndef _nsPerseusDownloaData_H_
#define _nsPerseusDownloaData_H_ 

#include "nsPerseusUtil.h" 
#include "nsIStreamListener.h"
#include "nsPerseusCode.h"

class PerseusDownloadData : public nsIStreamListener
{
public:
  PerseusDownloadData(PRTime z,nsPerseusCode *aCode) ;
  virtual ~PerseusDownloadData();

  NS_DECL_ISUPPORTS
  NS_DECL_NSIREQUESTOBSERVER
  NS_DECL_NSISTREAMLISTENER

  nsCOMPtr<nsIStreamListener> mListener;

protected:
  PRTime mz;
  nsPerseusCode *mCode;
  PRUintn mRead;
  char *  mData;
  PRBool mError;
};

#endif //_PerseusDownloadData_H
